define({"0":{i:0.0114968417484915,u:"../Content/P4Script/about.html",a:"This guide contains details about using the derived APIs for Perl, PHP, Python, and Ruby, \n to create scripts that interact with Helix Core. You can download these APIs from the\n      Perforce\n      web site at  https://www.perforce.com/downloads: Helix Core API for Perl (P4Perl) -  ...",t:"How to use this guide"},"1":{i:0.0114968417484915,u:"../Content/P4Script/chapter.ruby.html",a:"P4Ruby\n      is an extension to the Ruby programming language that allows you to run\n      Helix Core\n      commands from within Ruby scripts, and get the results in a Ruby-friendly\n      format. The main features are: Get\n\tHelix Core\n\tdata and forms in hashes and arrays. Edit\n\tHelix Core\n\tforms by ...",t:"P4Ruby"},"2":{i:0.0114968417484915,u:"../Content/P4Script/ruby.requirements.html",a:"P4Ruby\n      is supported on Windows, Linux, Solaris, OS X, and FreeBSD. For system requirements, see the release notes at  https://www.perforce.com/perforce/doc.current/user/p4rubynotes.txt . When passing arguments, make sure to omit the space between the argument and its value, such as in the ...",t:"System Requirements and Release Notes"},"3":{i:0.0114968417484915,u:"../Content/P4Script/ruby.installation.html",a:"As of version 2015.1, the recommended mechanism for installing\n      P4Ruby\n      is via gems. Outside of Windows, the p4ruby gem installs must be\n      compiled locally against your installation of Ruby. If you can build the\n      core Ruby distribution locally, you likely can install\n      P4Ruby\n ...",t:"Installing P4Ruby"},"4":{i:0.0114968417484915,u:"../Content/P4Script/ruby.programming.html",a:"The following example shows how to create a new client workspace based\n      on an existing template: \nrequire \"P4\"\ntemplate = \"my-client-template\"\nclient_root = \u0027c:\\p4-work\u0027\np4 = P4.new\np4.connect\n\nbegin\n\n    # Run a \"p4 client -t template -o\" and convert it into a Ruby hash\n    spec = ...",t:"Programming with P4Ruby"},"5":{i:0.0124596457673323,u:"../Content/P4Script/ruby.classes.html",a:"The P4 module consists of several public classes: P4 P4Exception P4::DepotFile P4::Revision P4::Integration P4::Map P4::MergeData P4::Message P4::OutputHandler P4::Progress P4::Spec The following tables provide brief details about each public class. P4 The main class used for executing\n      ...",t:"P4Ruby classes"},"6":{i:0.0124596457673323,u:"../Content/P4Script/ruby.p4.html",a:"Main interface to the\n      Helix Core\n      client API. Each  P4 object provides you with a\n      thread-safe API level interface to\n      Helix Core. The\n      basic model is to: Instantiate your P4 object. Specify your\n\t  Helix Core\n\t  client environment. client host password port user Set any ...",t:"Class P4"},"7":{i:0.0114968417484915,u:"../Content/P4Script/ruby.p4_exception.html",a:"Shallow subclass of  RuntimeError to be used for\n      catching\n      Helix Core-specific errors.\n      Doesn’t contain any extra information. See P4#errors() and\n      P4#warnings for details of the errors giving rise to the\n      exception. Class Methods None. Instance Methods None.",t:"Class P4Exception"},"8":{i:0.0124596457673323,u:"../Content/P4Script/ruby.p4_depotfile.html",a:"Description Utility class providing easy access to the attributes of a file in a\n      Helix Core\n      depot. Each  P4::DepotFile object contains summary\n      information about the file, and a list of revisions\n      ( P4::Revision objects) of that file. Currently, only\n      the P4#run_filelog() ...",t:"Class P4::DepotFile"},"9":{i:0.0124596457673323,u:"../Content/P4Script/ruby.p4_revision.html",a:"Description Utility class providing easy access to the revisions of a file in a\n      Helix Core\n      depot.  P4::Revision objects can store basic\n      information about revisions and a list of the integrations for that\n      revision. Created by P4#run_filelog(). Class Methods None. Instance ...",t:"Class P4::Revision"},"10":{i:0.0124596457673323,u:"../Content/P4Script/ruby.p4_integration.html",a:"Description Utility class providing easy access to the details of an integration\n      record. Created by P4#run_filelog(). Class Methods None. Instance Methods integ.how -\u003e aString Returns the type of the integration record - how that record was\n      created. integ.file -\u003e aPath Returns the path ...",t:"Class P4::Integration"},"11":{i:0.0124596457673323,u:"../Content/P4Script/ruby.p4_map.html",a:"Description The  P4::Map class allows users to create and work\n      with\n      Helix Core\n      mappings, without requiring a connection to aHelix server. Class Methods Map.new ( [ anArray ] ) -\u003e aMap Constructs a new  P4::Map object. Map.join ( map1, map2 ) -\u003e aMap Join two  P4::Map objects and ...",t:"Class P4::Map"},"12":{i:0.0124596457673323,u:"../Content/P4Script/ruby.p4_mergedata.html",a:"Description Class containing the context for an individual merge during execution of\n      a  p4 resolve. Class Methods None. Instance Methods md.your_name() -\u003e aString Returns the name of \"your\" file in the merge. This is typically a path\n      to a file in the workspace. \np4.run_resolve() do\n  ...",t:"Class P4::MergeData"},"13":{i:0.0124596457673323,u:"../Content/P4Script/ruby.p4_message.html",a:"Description P4::Message objects contain error or other\n      diagnostic messages from the\n      Helix Versioning Engine; retrieve\n      them by using the P4#messages() method. Script writers can test the severity of the messages in order to\n      determine if the server message consisted of command ...",t:"Class P4::Message"},"14":{i:0.0124596457673323,u:"../Content/P4Script/ruby.p4_outputhandler.html",a:"Description The  P4::OutputHandler class is a handler class that\n      provides access to streaming output from the server. After defining the\n      output handler, set P4#handler() to an instance of a\n      subclass of  P4::OutputHandler (or use a\n      p4.with_handler( handler ) block) to enable ...",t:"Class P4::OutputHandler"},"15":{i:0.0124596457673323,u:"../Content/P4Script/ruby.p4_progress.html",a:"Description The  P4::Progress class is a handler class that\n      provides access to progress indicators from the server. After defining\n      the output handler, set P4#progress() to an instance of a\n      subclass of  P4::Progress (or use a\n      p4.with_progress( progress ) block) to enable ...",t:"Class P4::Progress"},"16":{i:0.0124596457673323,u:"../Content/P4Script/ruby.p4_spec.html",a:"Description The  P4::Spec class is a hash containing key/value\n      pairs for all the fields in a\n      Helix server\n      form. It provides two things over and above its parent class (Hash): Fieldname validation. Only valid field names may be set in a\n\t P4::Spec object. Note that only the field ...",t:"Class P4::Spec"},"17":{i:0.0114968417484915,u:"../Content/P4Script/chapter.perl.html",a:"P4Perl\n      is a Perl module that provides an object-oriented API to Helix Core. Using\n      P4Perl\n      is faster than using the command-line interface in scripts, because\n      multiple command can be executed on a single connection, and because it\n      returns Helix Core responses\n      as ...",t:"P4Perl"},"18":{i:0.0114968417484915,u:"../Content/P4Script/perl.requirements.html",a:"P4Perl\n      is supported on Windows, Linux, Solaris, OS X, and FreeBSD.  For system requirements, see the\n      \n      release notes at  https://www.perforce.com/perforce/doc.current/user/p4perlnotes.txt. When passing arguments, make sure to omit the space between the argument and its value, such ...",t:"System Requirements and Release Notes"},"19":{i:0.0114968417484915,u:"../Content/P4Script/perl.installation.html",a:"Installing P4Perl You can download\n      P4Perl\n      from the\n      Perforce\n      web site at  https://www.perforce.com/downloads/helix-core-api-perl .  After downloading, you can either run the installer or build the\n      interface from source, as described in the release notes.",t:"Installing P4Perl"},"20":{i:0.0114968417484915,u:"../Content/P4Script/perl.programming.html",a:"The following example shows how to connect to a Helix server, run a  p4 info command, and open a file for\n      edit. #!/opt/local/bin/perl -w use strict; use P4; my $p4 = new P4; $p4-\u003eSetClient(\u0027bruno_ws\u0027); $p4-\u003eSetUser(\u0027smoon\u0027); $p4-\u003eSetPort(\u0027localhost:20081\u0027); $p4-\u003eSetVersion(\"EnvTest 1.0\"); ...",t:"Programming with P4Perl"},"21":{i:0.0123732955175653,u:"../Content/P4Script/perl.classes.html",a:"The P4 module consists of several public classes: P4 P4::DepotFile P4::Revision P4::Integration P4::Map P4::MergeData P4::Message P4::OutputHandler P4::Progress P4::Spec The following tables provide brief details about each public class. P4 The main class used for executing\n      Helix Core\n      ...",t:"P4Perl Classes"},"22":{i:0.0824692532970075,u:"../Content/P4Script/perl.p4.html",a:"Description Main interface to the\n      Helix Core\n      client API. This module provides an object-oriented interface to Helix Core, the\n      Perforce\n      version control system. Data is returned in Perl arrays and hashes and\n      input can also be supplied in these formats. Each  P4 object ...",t:"Class P4"},"23":{i:0.0123732955175653,u:"../Content/P4Script/perl.p4_depotfile.html",a:"Description P4::DepotFile objects are used to present\n      information about files in the\n      Helix Core\n      repository. They are returned by P4::RunFilelog(). Class Methods None. Instance Methods $df-\u003eDepotFile() -\u003e string Returns the name of the depot file to which this object refers. ...",t:"Class P4::DepotFile"},"24":{i:0.0123732955175653,u:"../Content/P4Script/perl.p4_revision.html",a:"Description P4::Revision objects are represent individual\n      revisions of files in the\n      Helix Core\n      repository. They are returned as part of the output of\n      P4::RunFilelog(). Class Methods $rev-\u003eIntegrations() -\u003e\n      array Returns an array of  P4::Integration objects\n      ...",t:"Class P4::Revision"},"25":{i:0.0123732955175653,u:"../Content/P4Script/perl.p4_integration.html",a:"Description P4::Integration objects represent\n      Helix Core\n      integration records. They are returned as part of the output of\n      P4::RunFilelog(). Class Methods None. Instance Methods $integ-\u003eHow() -\u003e string Returns the type of the integration record - how that record was\n      created. ...",t:"Class P4::Integration"},"26":{i:0.0123732955175653,u:"../Content/P4Script/perl.p4_map.html",a:"Description The  P4::Map class allows users to create and work\n      with\n      Helix Core\n      mappings, without requiring a connection to a Helix server. Class Methods $map = new P4::Map( [ array ] ) -\u003e aMap Constructs a new  P4::Map object. $map-\u003eJoin( map1, map2 ) -\u003e aMap Join two  P4::Map ...",t:"Class P4::Map"},"27":{i:0.0123732955175653,u:"../Content/P4Script/perl.p4_mergedata.html",a:"Description Class containing the context for an individual merge during execution of\n      a  p4 resolve. Users may not create objects of this\n      class; they are created internally during P4::RunResolve(),\n      and passed down to the Resolve() method of a\n       P4::Resolver subclass. Class ...",t:"Class P4::MergeData"},"28":{i:0.0123732955175653,u:"../Content/P4Script/perl.p4_message.html",a:"Description P4::Message objects contain error or other\n      diagnostic messages from the\n      Helix Versioning Engine; they are\n      returned by P4::Messages(). Script writers can test the severity of the messages in order to\n      determine if the server message consisted of command output\n      ...",t:"Class P4::Message"},"29":{i:0.0123732955175653,u:"../Content/P4Script/perl.p4_outputhandler.html",a:"Description The  P4::OutputHandler class provides access to\n      streaming output from the server. After defining the output handler, call\n      P4::SetHandler() with your implementation of\n       P4::OutputHandler. Because\n      P4Perl\n      does not provide a template or superclass, your output ...",t:"Class P4::OutputHandler"},"30":{i:0.0123732955175653,u:"../Content/P4Script/perl.p4_progress.html",a:"Description The  P4::Progress provides access to progress\n      indicators from the server. After defining the progress class, call\n      P4::SetProgress() with your implementation of\n       P4::Progress. Because\n      P4Perl\n      does not provide a template or superclass, you must implement all ...",t:"Class P4::Progress"},"31":{i:0.0824692532970075,u:"../Content/P4Script/perl.p4_resolver.html",a:"Description P4::Resolver is a class for handling resolves in\n      Helix Core. It is\n      intended to be subclassed, and for subclasses to override the\n      Resolve() method. When P4::RunResolve() is\n      called with a  P4::Resolver object, it calls the\n      P4::Resolver::Resolve() method of the ...",t:"Class P4::Resolver"},"32":{i:0.0123732955175653,u:"../Content/P4Script/perl.p4_spec.html",a:"Description P4::Spec objects provide easy access to the\n      attributes of the fields in a\n      Helix server\n      form. The  P4::Spec class uses Perl’s AutoLoader to\n      simplify form manipulation. Form fields can be accessed by calling a\n      method with the same name as the field prefixed by ...",t:"Class P4::Spec"},"33":{i:0.0114968417484915,u:"../Content/P4Script/chapter.python.html",a:"Introduction P4Python, the Python\n      interface to the\n      Helix C/C++ API,\n      enables you to write Python code that interacts with aHelix server.\n      P4Python\n      enables your Python scripts to: Get\n\tHelix Core\n\tdata and forms in dictionaries and lists. Edit\n\tHelix Core\n\tforms by ...",t:"P4Python"},"34":{i:0.0114968417484915,u:"../Content/P4Script/python.requirements.html",a:"P4Python\n      is supported on Windows, Linux, Solaris, OS X, and FreeBSD. For system requirements, see the\n      \n      release notes at  https://www.perforce.com/perforce/doc.current/user/p4pythonnotes.txt.  When passing arguments, make sure to omit the space between the argument and its value, ...",t:"System Requirements and Release Notes"},"35":{i:0.0114968417484915,u:"../Content/P4Script/python.installation.html",a:"Before installing\n\tP4Python, any\n\tpreviously installed versions should be uninstalled. As of\n      P4Python\n      2015.1, the recommended mechanism for installing\n      P4Python\n      is via  pip. For example: \n$ pip install p4python pip installs binary versions of\n      P4Python\n      where ...",t:"Installing P4Python"},"36":{i:0.0114968417484915,u:"../Content/P4Script/python.programming.html",a:"P4Python\n      provides an object-oriented interface to\n      Helix Core\n      that is intended to be intuitive for Python programmers. Data is loaded\n      and returned in Python arrays and dictionaries. Each\n       P4 object represents a connection to the Helix server. When instantiated, the  P4 ...",t:"Programming with P4Python"},"37":{i:0.0123732955175653,u:"../Content/P4Script/python.classes.html",a:"The P4 module consists of several public classes: P4 P4.P4Exception P4.DepotFile P4.Revision P4.Integration P4.Map P4.MergeData P4.Message P4.OutputHandler P4.Progress P4.Resolver P4.Spec The following tables provide more details about each public class, including methods and attributes. Attributes ...",t:"P4Python Classes"},"38":{i:0.0824692532970075,u:"../Content/P4Script/python.p4.html",a:"Description Main interface to the Python client API. This module provides an object-oriented interface to Helix Core, the\n      Perforce\n      version constrol system. Data is returned in Python arrays and\n      dictionaries (hashes) and input can also be supplied in these\n      formats. Each  P4 ...",t:"Class P4"},"39":{i:0.0114968417484915,u:"../Content/P4Script/python.p4_exception.html",a:"Description Instances of this class are raised when  P4\n      encounters an error or a warning from the server. The exception contains\n      the errors in the form of a string.  P4Exception is a\n      shallow subclass of the standard Python Exception class. Class Attributes None. Class Methods None.",t:"Class P4.P4Exception"},"40":{i:0.0123732955175653,u:"../Content/P4Script/python.p4_depotfile.html",a:"Description Utility class providing easy access to the attributes of a file in a\n      Helix Core\n      depot. Each  P4.DepotFile object contains summary\n      information about the file and a list of revisions\n      ( P4.Revision objects) of that file. Currently, only\n      the P4.run_filelog() ...",t:"Class P4.DepotFile"},"41":{i:0.0123732955175653,u:"../Content/P4Script/python.p4_revision.html",a:"Description Utility class providing easy access to the revisions of\n       P4.DepotFile objects. Created by\n      P4.run_filelog(). Instance Attributes rev.action -\u003e string Returns the name of the action which gave rise to this revision of the\n      file. rev.change -\u003e int Returns the change number ...",t:"Class P4.Revision"},"42":{i:0.0123732955175653,u:"../Content/P4Script/python.p4_integration.html",a:"Description Utility class providing easy access to the details of an integration\n      record. Created by P4.run_filelog(). Instance Attributes integ.how -\u003e string Returns the type of the integration record - how that record was\n      created. integ.file -\u003e string Returns the path to the file being ...",t:"Class P4.Integration"},"43":{i:0.0123732955175653,u:"../Content/P4Script/python.p4_map.html",a:"Description The  P4.Map class allows users to create and work\n      with\n      Helix Core\n      mappings, without requiring a connection to a\nHelix server. Instance Attributes None. Class Methods P4.Map( [ list ] ) -\u003e P4.Map Constructs a new  P4.Map object. P4.Map.join ( map1, map2 ) -\u003e P4.Map Join ...",t:"Class P4.Map"},"44":{i:0.0123732955175653,u:"../Content/P4Script/python.p4_mergedata.html",a:"Description Class containing the context for an individual merge during execution of\n      a  p4 resolve. Instance Attributes md.your_name -\u003e string Returns the name of \"your\" file in the merge. This is typically a path\n      to a file in the workspace. md.their_name -\u003e string Returns the name of ...",t:"Class P4.MergeData"},"45":{i:0.0123732955175653,u:"../Content/P4Script/python.p4_message.html",a:"Description P4.Message objects contain error or other diagnostic\n      messages from the Helix server; they are returned in  P4.messages. Script writers can test the severity of the messages in order to\n      determine if the server message consisted of command output\n      (E_INFO), warnings, ...",t:"Class P4.Message"},"46":{i:0.0123732955175653,u:"../Content/P4Script/python.p4_outputhandler.html",a:"Description The  P4.OutputHandler class is a handler class that\n      provides access to streaming output from the server. After defining the\n      output handler, set  p4.handler to an instance of a\n      subclass of  P4.OutputHandler, use\n      p4.using_handler( MyHandler() ), or pass the handler ...",t:"Class P4.OutputHandler"},"47":{i:0.0123732955175653,u:"../Content/P4Script/python.p4_progress.html",a:"Description The  P4.Progress class is a handler class that\n      provides access to progress indicators from the server. After defining\n      the progress class, set  P4.progress to an instance of\n      a subclass of  P4.Progress, use\n      p4.using_progress( MyProgress() ), or pass the progress\n    ...",t:"Class P4.Progress"},"48":{i:0.0123732955175653,u:"../Content/P4Script/python.p4_resolver.html",a:"Description P4.Resolver is a class for handling resolves in\n      Helix Core. It is\n      intended to be subclassed, and for subclasses to override the\n      resolve() method. When P4.run_resolve() is\n      called with a  P4.Resolver object, it calls the\n      P4.Resolver.resolve() method of the ...",t:"Class P4.Resolver"},"49":{i:0.0123732955175653,u:"../Content/P4Script/python.p4_spec.html",a:"Description Utility class providing easy access to the attributes of the fields in a\n      Helix server\n      form. Only valid field names may be set in a  P4.Spec\n      object. Only the field name is validated, not the content. Attributes\n      provide easy access to the fields. Instance Attributes ...",t:"Class P4.Spec"},"50":{i:0.0114968417484915,u:"../Content/P4Script/chapter.php.html",a:"Introduction P4PHP, the PHP\n      interface to the\n      Helix C/C++ API,\n      enables you to write PHP code that interacts with a Helix server.\n      P4PHP\n      enables your PHP scripts to: Get\n\tHelix Core\n\tdata and forms in arrays. Edit\n\tHelix Core\n\tforms by modifying arrays. Provide ...",t:"P4PHP"},"51":{i:0.0114968417484915,u:"../Content/P4Script/php.requirements.html",a:"P4PHP\n      is supported on Windows, Linux, FreeBSD, and OS X. For system requirements, see the release notes at  https://www.perforce.com/perforce/doc.current/user/p4phpnotes.txt .  When passing arguments, make sure to omit the space between the argument and its value, such as in the value pair -u ...",t:"System Requirements and Release Notes"},"52":{i:0.0114968417484915,u:"../Content/P4Script/php.installation.html",a:"Installing P4PHP You can download\n      P4PHP\n      from the\n      Perforce\n      web site at  https://www.perforce.com/downloads/helix-core-api-php .  You must build the interface from source, as described in the release\n      notes packaged with\n      P4PHP.",t:"Installing P4PHP"},"53":{i:0.0114968417484915,u:"../Content/P4Script/php.programming.html",a:"The following example illustrates the basic structure of a\n      P4PHP\n      script. The example establishes a connection, issues a command, and tests\n      for errors resulting from the command. \n\u003c?php\n\n$p4 = new P4();\n$p4-\u003eport = \"1666\";\n$p4-\u003euser = \"fred\";\n$p4-\u003eclient = \"fred-ws\";\n\ntry {\n  ...",t:"Programming with P4PHP"},"54":{i:0.0126959171201256,u:"../Content/P4Script/php.classes.html",a:"The P4 module consists of several public classes: P4 P4_Exception P4_DepotFile P4_Revision P4_Integration P4_Map P4_MergeData P4_OutputHandlerAbstract P4_Resolver The following tables provide more details about each public class. P4 Helix Core\n      client class. Handles connection and interaction ...",t:"P4PHP   Classes"},"55":{i:0.0126959171201256,u:"../Content/P4Script/php.p4.html",a:"Description Main interface to the PHP client API. This module provides an object-oriented interface to Helix Core, the\n      Perforce\n      version control system. Data is returned in arrays and input can also\n      be supplied in these formats. Each  P4 object represents a connection to the Helix ...",t:"Class P4"},"56":{i:0.0114968417484915,u:"../Content/P4Script/php.p4_exception.html",a:"Description Instances of this class are raised when  P4\n      encounters an error or a warning from the server. The exception contains\n      the errors in the form of a string.  P4_Exception is\n      an extension of the standard Exception class. Class Attributes None. Static Methods None.",t:"Class P4_Exception"},"57":{i:0.0126959171201256,u:"../Content/P4Script/php.p4_depotfile.html",a:"Description Utility class providing easy access to the attributes of a file in a\n      Helix Core\n      depot. Each  P4_DepotFile object contains summary\n      information about the file and an array of revisions\n      ( P4_Revision objects) of that file. Currently, only\n      the P4::run_filelog() ...",t:"Class P4_DepotFile"},"58":{i:0.0126959171201256,u:"../Content/P4Script/php.p4_revision.html",a:"Description Utility class providing easy access to the revisions of\n       P4_DepotFile objects. Created by\n      P4::run_filelog(). Properties $rev-\u003eaction -\u003e string Returns the name of the action which gave rise to this revision of the\n      file. $rev-\u003echange -\u003e long Returns the change number ...",t:"Class P4_Revision"},"59":{i:0.0126959171201256,u:"../Content/P4Script/php.p4_integration.html",a:"Description Utility class providing easy access to the details of an integration\n      record. Created by P4::run_filelog(). Properties $integ-\u003ehow -\u003e string Returns the type of the integration record - how that record was\n      created. $integ-\u003efile -\u003e string Returns the path to the file being ...",t:"Class P4_Integration"},"60":{i:0.0126959171201256,u:"../Content/P4Script/php.p4_map.html",a:"Description The  P4_Map class allows users to create and work\n      with\n      Helix Core\n      mappings, without requiring a connection to a Helix server. Properties None. Constructor P4_Map::__construct( [ array ] ) -\u003e\n      P4_Map Constructs a new  P4_Map object. Static Methods P4_Map::join ( ...",t:"Class P4_Map"},"61":{i:0.0126959171201256,u:"../Content/P4Script/php.p4_mergedata.html",a:"Description Class containing the context for an individual merge during execution of\n      a  p4 resolve. Properties $md-\u003eyour_name -\u003e string Returns the name of \"your\" file in the merge. This is typically a path\n      to a file in the workspace. $md-\u003etheir_name -\u003e string Returns the name of \"their\" ...",t:"Class P4_MergeData"},"62":{i:0.0126959171201256,u:"../Content/P4Script/php.p4_outputhandler_abstract.html",a:"Description The  P4_OutputHandlerAbstract class is a handler\n      class that provides access to streaming output from the server. After\n      defining the output handler, set  $p4-\u003ehandler to\n      an instance of a subclass of\n       P4_OutputHandlerAbstract. By default,  P4_OutputHandlerAbstract ...",t:"Class P4_OutputHandlerAbstract"},"63":{i:0.0126959171201256,u:"../Content/P4Script/php.p4_resolver.html",a:"Description P4_Resolver is a class for handling resolves in\n      Helix Core. It\n      must be subclassed, to be used; subclasses can override the\n      P4::resolve() method. When P4::run_resolve() is\n      called with a  P4_Resolver object, it calls the\n      P4_Resolver::resolve() method of the ...",t:"Class P4_Resolver"},"64":{i:0.0114968417484915,u:"../Content/P4Script/license.statements.html",a:"Perforce Software includes software developed by the University of\n    California, Berkeley and its contributors. This product includes\n    software developed by the OpenSSL Project for use in the OpenSSL\n    Toolkit ( http://www.openssl.org/ ).\n   Perforce Software includes software from the Apache ...",t:"License Statements"},});